cURL
curl --request POST \ --url https://api.timelyai.com.br/v1/custom-fields \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "field_type": "text", "options": [ "<string>" ], "is_required": true, "display_order": 1 } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "Cargo", "field_type": "text", "options": [ "<string>" ], "is_required": false, "display_order": 0, "is_archived": false, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
Cria um novo campo personalizado. Requer scope custom-fields:write.
custom-fields:write
Chave de API para autenticação. Obtenha sua chave em https://app.timelyai.com.br/developers
Corpo da requisição
1 - 255
text
number
date
select
multiselect
boolean
x >= 0
Campo personalizado criado com sucesso
Show child attributes